package com.mh.user.controller;

import com.mh.common.http.HttpResult;
import com.mh.common.page.PageRequest;
import com.mh.common.page.PageResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.entity.DevicesManageEntity;
import com.mh.user.service.DevicesManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 仪表管理控制层
 * @date 2024-08-23 08:53:03
 */
@RestController
@RequestMapping("/devicesManage")
public class DevicesManageController {

    @Autowired
    private DevicesManageService devicesManageService;

    @SysLogger(value="资产管理信息",optDesc = "查询资产管理信息")
    @PostMapping("/findByPage")
    public PageResult queryGatewayManage(@RequestBody PageRequest pageRequest) {
        return devicesManageService.queryByPage(pageRequest);
    }

    @SysLogger(value="资产管理信息",optDesc = "编辑资产管理信息")
    @PostMapping("/update")
    public HttpResult updateProInfo(DevicesManageEntity entity) {
        devicesManageService.update(entity);
        return HttpResult.ok();
    }

    @SysLogger(value="资产管理信息",optDesc = "根据项目id查询对应信息")
    @GetMapping("/findById")
    public HttpResult findById(@RequestParam("id") Integer id) {
        DevicesManageEntity entity = devicesManageService.findById(id);
        return HttpResult.ok(entity);
    }

    @SysLogger(value="资产管理信息",optDesc = "添加资产管理信息")
    @PostMapping("/save")
    public HttpResult saveGw(DevicesManageEntity entity) {
        devicesManageService.save(entity);
        return HttpResult.ok();
    }

    @SysLogger(value="资产管理信息",optDesc = "删除资产管理信息")
    @GetMapping("/deleteById")
    public HttpResult deleteProInfo(@RequestParam String id) {
        devicesManageService.delete(id);
        return HttpResult.ok();
    }
    
}
