package com.mh.user.controller;

import com.mh.common.http.HttpResult;
import com.mh.common.page.PageRequest;
import com.mh.common.page.PageResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.entity.DeviceParamsEntity;
import com.mh.user.service.DeviceParamsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 设备参数管理控制层
 * @date 2024-08-23 08:53:03
 */
@RestController
@RequestMapping("/deviceParams")
public class DevicesParamsController {

    @Autowired
    private DeviceParamsService deviceParamsService;

    @SysLogger(value="资产管理信息",optDesc = "查询资产管理信息")
    @PostMapping("/findByPage")
    public PageResult queryGatewayManage(@RequestBody PageRequest pageRequest) {
        return deviceParamsService.queryByPage(pageRequest);
    }

    @SysLogger(value="资产管理信息",optDesc = "编辑资产管理信息")
    @PostMapping("/update")
    public HttpResult updateProInfo(DeviceParamsEntity entity) {
        deviceParamsService.update(entity);
        return HttpResult.ok();
    }

    @SysLogger(value="资产管理信息",optDesc = "根据项目id查询对应信息")
    @GetMapping("/findById")
    public HttpResult findById(@RequestParam("id") Integer id) {
        DeviceParamsEntity entity = deviceParamsService.findById(id);
        return HttpResult.ok(entity);
    }

    @SysLogger(value="资产管理信息",optDesc = "添加资产管理信息")
    @PostMapping("/save")
    public HttpResult saveGw(DeviceParamsEntity entity) {
        deviceParamsService.save(entity);
        return HttpResult.ok();
    }

    @SysLogger(value="资产管理信息",optDesc = "删除资产管理信息")
    @GetMapping("/deleteById")
    public HttpResult deleteProInfo(@RequestParam String id) {
        deviceParamsService.delete(id);
        return HttpResult.ok();
    }
    
}
