package com.mh.user.controller;

import com.mh.common.http.HttpResult;
import com.mh.common.page.PageRequest;
import com.mh.common.page.PageResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.entity.MeterManageEntity;
import com.mh.user.service.MeterManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 仪表管理控制层
 * @date 2024-08-23 08:53:03
 */
@RestController
@RequestMapping("/mtManage")
public class MeterManageController {

    @Autowired
    private MeterManageService meterManageService;

    @SysLogger(value="仪表管理信息",optDesc = "查询仪表管理信息")
    @PostMapping("/findByPage")
    public PageResult queryGatewayManage(@RequestBody PageRequest pageRequest) {
        return meterManageService.queryByPage(pageRequest);
    }

    @SysLogger(value="仪表管理信息",optDesc = "编辑仪表管理信息")
    @PostMapping("/update")
    public HttpResult updateProInfo(MeterManageEntity entity) {
        meterManageService.update(entity);
        return HttpResult.ok();
    }

    @SysLogger(value="仪表管理信息",optDesc = "根据项目id查询对应信息")
    @GetMapping("/findById")
    public HttpResult findById(@RequestParam("id") Integer id) {
        MeterManageEntity entity = meterManageService.findById(id);
        return HttpResult.ok(entity);
    }

    @SysLogger(value="仪表管理信息",optDesc = "添加仪表管理信息")
    @PostMapping("/save")
    public HttpResult saveGw(MeterManageEntity entity) {
        meterManageService.save(entity);
        return HttpResult.ok();
    }

    @SysLogger(value="仪表管理信息",optDesc = "删除仪表管理信息")
    @GetMapping("/deleteById")
    public HttpResult deleteProInfo(@RequestParam String id) {
        meterManageService.delete(id);
        return HttpResult.ok();
    }
    
}
