package com.mh.user.controller;

import com.mh.common.http.HttpResult;
import com.mh.common.page.PageRequest;
import com.mh.common.page.PageResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.entity.ProjectInfoEntity;
import com.mh.user.service.ProjectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("pro")
public class ProjectInfoController {

    @Autowired
    ProjectInfoService projectInfoService;

    @SysLogger(value="项目信息",optDesc = "查询项目信息")
    @PostMapping("/queryProBySystemId")
    public HttpResult queryProBySystemId(@RequestParam(value = "systemId")String systemID) {
        List<ProjectInfoEntity> list=projectInfoService.queryProjectInfo(systemID);

        return HttpResult.ok(list);
    }

    @SysLogger(value="项目信息",optDesc = "查询项目信息")
    @PostMapping("/findByPage")
    public PageResult queryProject(@RequestBody PageRequest pageRequest) {
        return projectInfoService.queryByPage(pageRequest);
    }

    @SysLogger(value="项目信息",optDesc = "编辑项目信息")
    @PostMapping("/update")
    public HttpResult updateProInfo(ProjectInfoEntity projectInfoEntity) {
        projectInfoService.update(projectInfoEntity);
        return HttpResult.ok();
    }

    @SysLogger(value="项目信息",optDesc = "根据项目id查询对应信息")
    @GetMapping("/findById")
    public HttpResult findById(@RequestParam("id") Integer id) {
        ProjectInfoEntity projectInfoEntity = projectInfoService.findById(id);
        return HttpResult.ok(projectInfoEntity);
    }

    @SysLogger(value="项目信息",optDesc = "添加项目信息")
    @PostMapping("/save")
    public HttpResult saveProInfo(ProjectInfoEntity projectInfoEntity) {
        projectInfoService.save(projectInfoEntity);
        return HttpResult.ok();
    }

    @SysLogger(value="项目信息",optDesc = "删除项目信息")
    @GetMapping("/deleteById")
    public HttpResult deleteProInfo(@RequestParam String id) {
        projectInfoService.delete(id);
        return HttpResult.ok();
    }

}
