package com.mh.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 设备基表安装信息
 * @date 2024-07-11 13:57:36
 */
@Data
@TableName("device_code")
public class DeviceCodeEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 通讯编号
     */
    private String deviceAddr;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 串口
     */
    private String dataCom;

    /**
     * 端口
     */
    private String dataPort;

    /**
     * 设备规格
     */
    private String standard;

    /**
     * 安装位置
     */
    private String installPosition;

    /**
     * 初始值
     */
    private BigDecimal initValue;

    /**
     * 倍率
     */
    private BigDecimal ratio;

    /**
     * 是否时总表
     */
    private String isTotal;

    /**
     * 是否停用
     */
    private String isForbid;

    /**
     * 停用时间
     */
    private Date forbidDate;

    /**
     * 上次抄表读数
     */
    private BigDecimal lastValue;

    /**
     * 上次抄表时间
     */
    private Date lastDate;

    /**
     * 级别
     */
    private int grade;

    /**
     * 波特率
     */
    private int baudRate;

    /**
     * 项目ID
     */
    private String projectId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 安装时间
     */
    private Date installDate;

    /**
     * 奇偶校验
     */
    private String parity;

    /**
     * 备注
     */
    private String remarks;

}
