package com.mh.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 设备采集参数实体类
 * @date 2024-08-22 17:04:12
 */
@Setter
@Getter
@TableName("device_params")
public class DeviceParamsEntity {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 仪表类型（从字典表中拿）
     */
    private int mtType;

    /**
     * 波特率
     */
    private int baudRate;

    /**
     * 数据位
     */
    private int dataBit;

    /**
     * 停止位
     */
    private int stopBit;

    /**
     * 校验位
     */
    private String parity;

    /**
     * 备注
     */
    private String remark;

    @Override
    public String toString() {
        return "DeviceParamsEntity{" +
                "id=" + id +
                ", mtType=" + mtType +
                ", baudRate=" + baudRate +
                ", dataBit=" + dataBit +
                ", stopBit=" + stopBit +
                ", parity=" + parity +
                ", remark='" + remark + '\'' +
                '}';
    }
}
