package com.mh.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 资产设备管理
 * @date 2024-08-22 16:11:30
 */
@Setter
@Getter
@TableName("devices_manage")
public class DevicesManageEntity implements Serializable {

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备品牌
     */
    private String deviceBrand;

    /**
     * 机电品牌
     */
    private String emBrand;

    /**
     * 额定输入功率
     */
    private BigDecimal ratedInputPower;

    /**
     * 额定制冷量
     */
    private BigDecimal ratedRefrigerationCapacity;

    /**
     * 额定COP
     */
    private BigDecimal ratedCop;

    /**
     * 额定流量
     */
    private BigDecimal ratedFlow;

    /**
     * 生产日期
     */
    private String productionTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 是否变频
     */
    private byte isFrequency;

    /**
     * 设备类型
     */
    private long deviceType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 等级
     */
    private int grade;

    /**
     * 系统类型id
     */
    private Long systemId;

    /**
     * 项目id
     */
    private Long projectId;

    @Override
    public String toString() {
        return "DevicesManageEntity{" +
                "id=" + id +
                ", deviceName='" + deviceName + '\'' +
                ", deviceBrand='" + deviceBrand + '\'' +
                ", emBrand='" + emBrand + '\'' +
                ", ratedInputPower=" + ratedInputPower +
                ", ratedRefrigerationCapacity=" + ratedRefrigerationCapacity +
                ", ratedCop=" + ratedCop +
                ", ratedFlow=" + ratedFlow +
                ", productionTime=" + productionTime +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", createBy='" + createBy + '\'' +
                ", isFrequency=" + isFrequency +
                ", deviceType=" + deviceType +
                ", remark='" + remark + '\'' +
                ", grade=" + grade +
                ", systemId=" + systemId +
                ", projectId=" + projectId +
                '}';
    }
}
