package com.mh.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.Date;

@TableName("project_info")
public class ProjectInfoEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("project_name")
    private String projectName;     //项目名称

    @TableField("p_address")
    private String pAddress;        //地址

    @TableField("p_scale")
    private int pScale;

    @TableField("pic")
    private String pic;             //图片地址

    @TableField("pic_content")
    private String picContent;      // 图片内容

    @TableField("tel")
    private String tel;             //电话

    @TableField("system_id")
    private String systemId;        //系统编号

    @TableField("remarks")
    private String remarks;

    /**
     * 经度
     */
    @TableField("longitude")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @TableField("latitude")
    private BigDecimal latitude;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 文件流
     */
    @TableField(exist = false)
    @JsonIgnore
    private MultipartFile file;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getpAddress() {
        return pAddress;
    }

    public void setpAddress(String pAddress) {
        this.pAddress = pAddress;
    }

    public int getpScale() {
        return pScale;
    }

    public void setpScale(int pScale) {
        this.pScale = pScale;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getPicContent() {
        return picContent;
    }

    public void setPicContent(String picContent) {
        this.picContent = picContent;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getSystemId() {
        return systemId;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }

    @Override
    public String toString() {
        return "ProjectInfoEntity{" +
                "id=" + id +
                ", projectName='" + projectName + '\'' +
                ", pAddress='" + pAddress + '\'' +
                ", pScale=" + pScale +
                ", pic='" + pic + '\'' +
                ", picContent='" + picContent + '\'' +
                ", tel='" + tel + '\'' +
                ", systemId='" + systemId + '\'' +
                ", remarks='" + remarks + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", createTime=" + createTime +
                ", file=" + file +
                '}';
    }

}

