package com.mh.user.job;

import com.mh.user.entity.ProjectInfoEntity;
import com.mh.user.netty.EchoServer;
import com.mh.user.service.ProjectInfoService;
import com.mh.user.utils.GetReadOrder485;
import gnu.io.SerialPort;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;
import java.util.List;

/**
 * @author ljf
 * @title ：
 * @description ： 自动执行采集程序,通过
 * @updateTime 2020-05-15
 * @throws ：
 */
@Slf4j
@Component
public class CollectionLoopRunner implements ApplicationRunner {

	public static SerialPort serialPort = null;

	@Autowired
	ProjectInfoService projectInfoService;

	@Override
	public void run(ApplicationArguments args) throws Exception {
		GetReadOrder485 getReadOrder485=new GetReadOrder485();
		List<ProjectInfoEntity> projectInfoEntities = projectInfoService.queryProjectInfo("1");
		if (null != projectInfoEntities && !projectInfoEntities.isEmpty()) {
			for (ProjectInfoEntity projectInfoEntity : projectInfoEntities) {
				getReadOrder485.createOrderParam(String.valueOf(projectInfoEntity.getId()));    //生成采集参数,1新珠江（6000）,2广合科技（6001）,3广大科技（6002）,6珠江国际,7保利山庄,8东莞迎宾馆
			}
		}
		try{
			new EchoServer(6001).start();                // 调用服务器的start方法,网关作为客户端,6006新珠江,6001广合科技,6077广大科技 6028(6006)珠江国际,5000保利山庄,6004东莞迎宾馆
		}catch (Exception e){
			log.info("6001端口已占用！");
		}
	}

}
