package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.DataResultChEntity;
import com.mh.user.entity.DataResultChillerEntity;
import com.mh.user.mapper.provider.DataResultProvider;
import com.mh.user.model.ChillerModel;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 主机参数保存
 * @date 2024-07-10 15:41:15
 */
@Mapper
public interface DataResultChillerMapper extends BaseMapper<DataResultChillerEntity> {

    //保存冷水机数据
    @Insert("insert into data_result_chiller(device_addr,device_type,fun_code,register_addr,register_name,cur_value,cur_date,project_id,grade) values (" +
            " #{deviceAddr},#{deviceType},#{funCode},#{registerAddr},#{registerName},#{curValue},#{curDate},#{projectId},#{grade})")
    void saveDataResultChiller(DataResultChEntity dataResultChEntity);

    @Update("<script>" +
            "  update data_result_chiller set  " +
            "  <if test='deviceAddr!=null'>  device_addr = #{deviceAddr} </if>" +
            "  <if test='deviceType!=null'> , device_type = #{deviceType} </if>" +
            "  <if test='funCode!=null'> , fun_code = #{funCode} </if>" +
            "  <if test='registerAddr!=null'> , register_addr = #{registerAddr} </if>" +
            "  <if test='registerName!=null'> , register_name = #{registerName} </if>" +
            "  <if test='curValue!=null'> , cur_value = #{curValue} </if>" +
            "  <if test='projectId!=null'> , project_id = #{projectId} </if>" +
            "  <if test='grade!=null'> , grade = #{grade} </if>" +
            "   where cur_date=#{curDate}  and  device_addr=#{deviceAddr}  and  register_addr=#{registerAddr}  and  project_id=#{projectId} " +
            "</script>")
    void updateDataResultChiller(DataResultChEntity dataResultChEntity);

    @Select("select count(*) from  data_result_chiller where cur_date=#{curDate}  " +
            " and  device_addr=#{deviceAddr}  " +
            " and  register_addr=#{registerAddr}  " +
            " and  project_id=#{projectId} " +
            " and fun_code = #{funCode} ")
    int selectDataResultChillerCount(@Param("curDate") String curDate,
                                     @Param("deviceAddr") String deviceAddr,
                                     @Param("registerAddr") String registerAddr,
                                     @Param("projectId") String projectId,
                                     @Param("funCode") String funCode);

    @Results({
            @Result(property="deviceAddr",column="device_addr"),
            @Result(property="deviceType",column="device_type"),
            @Result(property="curDate",column="cur_date"),
            @Result(property ="curValue",column ="cur_value"),
            @Result(property="funCode",column="fun_code"),
            @Result(property="registerAddr",column="register_addr"),
            @Result(property="registerName",column="register_name"),
            @Result(property="grade",column="grade"),
            @Result(property="projectId",column="project_id"),
            @Result(property="projectName",column="project_name")
    })
    @SelectProvider(type = DataResultProvider.class,method = "queryDataResultChiller")
    List<DataResultChEntity> queryDataResultChiller(@Param("projectId") String projectId,
                                                    @Param("deviceAddr") String deviceAddr,
                                                    @Param("registerName") String registerName,
                                                    @Param("startDate") String startDate,
                                                    @Param("curDate") String curDate,
                                                    @Param("page") int page,
                                                    @Param("limit") int limit);

    @SelectProvider(type = DataResultProvider.class,method = "dataResultChillerCount")
    int dataResultChillerCount(@Param("projectId") String projectId,
                               @Param("deviceAddr") String deviceAddr,
                               @Param("registerName") String registerName,
                               @Param("startDate") String startDate,
                               @Param("curDate") String curDate);


    //保存冷水机参数数据
    @Insert("insert into data_chiller" +
            "(device_addr," +
            "device_name," +
            "run_state," +
            "set_soint," +
            "enter_chw," +
            "leave_chw," +
            "enter_cow," +
            "leave_cow," +
            "power," +
            "rated_power," +
            "chiller_amps," +
            "refrigeration," +
            "rated_ref," +
            "chw_flow," +
            "approach_cow," +
            "approach_chw," +
            "cop," +
            "rated_cop," +
            "copy_date) values (" +
            " #{deviceAddr},#{deviceName},#{projectId},#{lastValue},#{lastDate},#{curValue},#{curDate},#{ratio},#{calcValue},#{grade})")
    void saveDataChiller(ChillerModel chillerModel);

}
