package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.DataResultClBakEntity;
import com.mh.user.entity.DataResultClEntity;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 数据冷量计
 * @date 2024-07-10 15:20:55
 */
@Mapper
public interface DataResultClBakMapper extends BaseMapper<DataResultClBakEntity> {

    @Insert("insert into data_result_cl_bak(device_addr,device_type,project_id,last_value,last_date,cur_value,cur_date,ratio,calc_value,grade,register_addr,register_name) values (" +
            " #{deviceAddr},#{deviceType},#{projectId},#{lastValue},#{lastDate},#{curValue},#{curDate},#{ratio},#{calcValue},#{grade},#{registerAddr},#{registerName})")
    void saveDataResultCl_bak(DataResultClEntity dataResultClEntity);

    @Select("select count(1) from data_result_cl_bak " +
            " where cur_date = #{curDate} " +
            " and device_addr = #{deviceAddr}  " +
            " and register_addr = #{registerAddr} " +
            " and project_id = #{projectId} ")
    int selectDataResultChBakCount(@Param("curDate") String curDate,
                                   @Param("deviceAddr") String deviceAddr,
                                   @Param("registerAddr") String registerAddr,
                                   @Param("projectId") String projectId);

}
