package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.DataResultChEntity;
import com.mh.user.entity.DataResultOneMiEntity;
import com.mh.user.mapper.provider.DataResultProvider;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 每分钟保存数据
 * @date 2024-07-10 17:34:30
 */
@Mapper
public interface DataResultOneMiMapper extends BaseMapper<DataResultOneMiEntity> {

    //----------------------------------------------------------------------------------------------------
    @Results(id="rsc", value = {
            @Result(property="deviceAddr",column="device_addr"),
            @Result(property="deviceType",column="device_type"),
            @Result(property="curDate",column="cur_date"),
            @Result(property ="curValue",column ="cur_value"),
            @Result(property="funCode",column="fun_code"),
            @Result(property="registerAddr",column="register_addr"),
            @Result(property="registerName",column="register_name"),
            @Result(property="grade",column="grade"),
            @Result(property="projectId",column="project_id"),
            @Result(property="projectName",column="project_name")
    })
    @SelectProvider(type = DataResultProvider.class,method = "queryDataResultOneMi")
    List<DataResultChEntity> queryDataResultOneMi(@Param("projectId") String projectId,
                                                  @Param("startDate") String startDate,
                                                  @Param("curDate") String curDate,
                                                  @Param("page") int page,
                                                  @Param("limit") int limit);

    //查询记录数
//    @Select("select count(*) from  data_result_one_mi  where  projectId=#{projectId}  and  curDate>=#{startDate} and curDate<=#{curDate} ")
    @SelectProvider(type = DataResultProvider.class,method = "dataResultOneMiCount")
    int dataResultOneMiCount(@Param("projectId") String projectId,@Param("startDate") String startDate,@Param("curDate") String curDate);

}
