package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.ProjectInfoEntity;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface ProjectInfoMapper extends BaseMapper<ProjectInfoEntity> {

    //查询项目列表
    @Results(value = {
            @Result(property="id",column="id"),
            @Result(property="projectName",column="project_name"),
            @Result(property="pAddress",column="p_address"),
            @Result(property="pScale",column="p_scale"),
            @Result(property="pic",column="pic"),
            @Result(property="tel",column="tel"),
            @Result(property="systemId",column="system_id"),
            @Result(property="remarks",column="remarks"),
            @Result(property="createTime",column="create_time"),
            @Result(property="longitude",column="longitude"),
            @Result(property="latitude",column="latitude")
    })
    @Select("select * from project_info  where  system_id=#{systemID}")
    List<ProjectInfoEntity> queryProjectInfo(@Param("systemID") String systemID );

    //通过id查找对应的名称
    @Select("select project_name from project_info where  id=#{id}")
    String selectName(@Param("id") String id);

}
