package com.mh.user.mapper.provider;

public class DataResultProvider {

    public String queryDataResult(String projectId,String startDate,String endDate,String deviceType, int page, int limit){
        StringBuffer sql = new StringBuffer("");
        sql.append("select * from (" +
                " select *,ROW_NUMBER() over(order by id) as rn from data_result  " +
                " where 1=1 ");
        if (projectId != null && !projectId.equals("")){
            sql.append(" AND project_id = #{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND convert(varchar(10),cur_date,121)>=#{startDate} ");
        }
        if (endDate!= null && !endDate.equals("")) {
            sql.append(" AND convert(varchar(10),cur_date,121)<=#{endDate} ");
        }
        if (deviceType != null && !deviceType.equals("")){
            sql.append(" AND device_type = #{deviceType} ");
        }
        if ((page != 0) && (limit != 0)){
            sql.append(" ) T   where T.rn>(#{page}-1)*#{limit} and T.rn<=#{page}*#{limit}");
        } else if (page == 0){
            sql.append(" ) T ");
        }
        return sql.toString();
    }

    //查询记录数
    public String getDataResultCount(String projectId,String startDate,String endDate,String deviceType, int page, int limit){
        StringBuffer sql = new StringBuffer("");
        sql.append("select count(*) from (" +
                " select *,ROW_NUMBER() over(order by id) as rn from  data_result " +
                " where 1=1 ");
        if (projectId != null && !projectId.equals("")){
            sql.append(" AND project_id = #{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND convert(varchar(10),cur_date,121)>=#{startDate} ");
        }
        if (endDate!= null && !endDate.equals("")) {
            sql.append(" AND convert(varchar(10),cur_date,121)<=#{endDate} ");
        }
        if (deviceType != null && !deviceType.equals("")){
            sql.append(" AND device_type = #{deviceType} ");
        }
        sql.append(" ) T  ");
        return sql.toString();
    }
    //-----------------------------------------------------------------------------------------------
    //时间显示间隔为1分钟
    public String queryDataResultOneMi(String projectId, String startDate,String curDate, int page, int limit){
        StringBuffer sql = new StringBuffer("");
        sql.append("select * from (select *,ROW_NUMBER() over(order by cur_date) as rn from ( " +
                " select project_id,cur_date,sum(cast(cur_value as decimal(18,2))) as cur_value from  data_result_one_mi " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        if ((page != 0) && (limit != 0)){
            sql.append(" group by cur_date,project_id)t1) t2 join project_info t3  ON t2.project_id=t3.id  where t2.rn>(#{page}-1)*#{limit} and t2.rn<=#{page}*#{limit}  order by t2.cur_date desc");
        } else if (page == 0){
            sql.append(" group by cur_date,project_id)t1) t2 join project_info t3  ON t2.project_id=t3.id  order by t2.cur_date desc");
        }
//        System.out.println(sql.toString());
        return sql.toString();
    }

    public String dataResultOneMiCount(String projectId, String startDate,String curDate){
        StringBuffer sql = new StringBuffer("");
        sql.append("select count(*) from (select *,ROW_NUMBER() over(order by cur_date) as rn from ( " +
                " select project_id,cur_date,sum(cast(cur_value as decimal(18,2))) as cur_value from  data_result_one_mi " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        sql.append(" group by cur_date,project_id)t1) t2 ");
        return sql.toString();
    }


    //时间显示间隔为5分钟
    public String queryDataResultFiveMi(String projectId,String startDate,String curDate, int page, int limit){
        StringBuffer sql = new StringBuffer("");
        sql.append("select * from (select *,ROW_NUMBER() over(order by cur_date) as rn from ( " +
                " select project_id,cur_date,sum(cast(cur_value as decimal(18,2))) as cur_value from  data_result_five_mi " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        if ((page != 0) && (limit != 0)){
            sql.append(" group by cur_date,project_id)t1) t2 join project_info t3  ON t2.project_id=t3.id  where t2.rn>(#{page}-1)*#{limit} and t2.rn<=#{page}*#{limit}  order by t2.cur_date desc");
        } else if (page == 0){
            sql.append(" group by cur_date,project_id)t1) t2 join project_info t3  ON t2.project_id=t3.id  order by t2.cur_date desc");
        }
        return sql.toString();
    }

    public String dataResultFiveMiCount(String projectId, String startDate,String curDate){
        StringBuffer sql = new StringBuffer("");
        sql.append("select count(*) from (select *,ROW_NUMBER() over(order by cur_date) as rn from ( " +
                " select project_id,cur_date,sum(cast(cur_value as decimal(18,2))) as cur_value from  data_result_five_mi " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        sql.append(" group by cur_date,project_id)t1) t2 ");
        return sql.toString();
    }

    //时间显示间隔为15分钟
    public String queryDataResultFifteenMi(String projectId,String startDate,String curDate, int page, int limit){
        StringBuffer sql = new StringBuffer("");
        sql.append("select * from (select *,ROW_NUMBER() over(order by cur_date) as rn from ( " +
                " select project_id,cur_date,sum(cast(cur_value as decimal(18,2))) as cur_value from  data_result_fifteen_mi " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        if ((page != 0) && (limit != 0)){
            sql.append(" group by cur_date,project_id)t1) t2 join project_info t3  ON t2.project_id=t3.id  where t2.rn>(#{page}-1)*#{limit} and t2.rn<=#{page}*#{limit}  order by t2.cur_date desc");
        } else if (page == 0){
            sql.append(" group by cur_date,project_id)t1) t2 join project_info t3  ON t2.project_id=t3.id  order by t2.cur_date desc");
        }
        return sql.toString();
    }

    public String dataResultFifteenMiCount(String projectId, String startDate,String curDate){
        StringBuffer sql = new StringBuffer("");
        sql.append("select count(*) from (select *,ROW_NUMBER() over(order by cur_date) as rn from ( " +
                " select project_id,cur_date,sum(cast(cur_value as decimal(18,2))) as cur_value from  data_result_five_mi " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        sql.append(" group by cur_date,project_id)t1) t2 ");
        return sql.toString();
    }

    //查询冷水机参数历史数据情况
    public String queryDataResultChiller(String projectId,String deviceAddr,String registerName,String startDate,String curDate, int page, int limit){
        StringBuffer sql = new StringBuffer("");
        sql.append("select * from (select *,ROW_NUMBER() over(order by cur_date) as rn from  data_result_chiller " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (deviceAddr!= null && !deviceAddr.equals("")) {
            sql.append(" AND device_addr=#{deviceAddr} ");
        }
        if (registerName!= null && !registerName.equals("")) {
            sql.append(" AND register_name=#{registerName} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        if ((page != 0) && (limit != 0)){
            sql.append(" )T where T.rn>(#{page}-1)*#{limit} and T.rn<=#{page}*#{limit}  order by T.cur_date desc");
        } else if (page == 0){
            sql.append(" )T order by T.cur_date desc");
        }
        return sql.toString();
    }

    //查询记录数
    public String dataResultChillerCount(String projectId,String deviceAddr,String registerName,String startDate,String curDate){
        StringBuffer sql = new StringBuffer("");
        sql.append("select * from (select *,ROW_NUMBER() over(order by cur_date) as rn from  data_result_chiller " +
                " where 1=1 ");
        if (projectId!= null && !projectId.equals("")) {
            sql.append(" AND project_id=#{projectId} ");
        }
        if (deviceAddr!= null && !deviceAddr.equals("")) {
            sql.append(" AND device_addr=#{deviceAddr} ");
        }
        if (registerName!= null && !registerName.equals("")) {
            sql.append(" AND register_name=#{registerName} ");
        }
        if (startDate!= null && !startDate.equals("")) {
            sql.append(" AND cur_date>=#{startDate} ");
        }
        if (curDate!= null && !curDate.equals("")) {
            sql.append(" AND cur_date<=#{curDate} ");
        }
        sql.append(" )T order by T.cur_date desc");
        return sql.toString();
    }
}
