package com.mh.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.mh.common.page.MybatisPageHelper;
import com.mh.common.page.PageRequest;
import com.mh.common.page.PageResult;
import com.mh.common.utils.StringUtils;
import com.mh.user.entity.MeterManageEntity;
import com.mh.user.mapper.MeterManageMapper;
import com.mh.user.service.MeterManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 仪表管理实现类
 * @date 2024-08-23 09:02:18
 */
@Service
public class MeterManageServiceImpl implements MeterManageService {

    @Autowired
    private MeterManageMapper meterManageMapper;

    @Override
    public PageResult queryByPage(PageRequest pageRequest) {
        String systemID = StringUtils.getColumnFilterValue(pageRequest, "systemId");
        // 设置分页参数
        int pageNum = pageRequest.getPageNum();
        int pageSize = pageRequest.getPageSize();
        if (pageNum != 0) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<MeterManageEntity> meterManageEntities = meterManageMapper.selectList(
                new QueryWrapper<MeterManageEntity>()
                        .eq("system_id", systemID)
                        .orderByDesc("create_time"));
        return MybatisPageHelper.getPageResult(pageRequest, new PageInfo<>(meterManageEntities));
    }

    @Override
    public void update(MeterManageEntity entity) {
        entity.setUpdateTime(new Date());
        meterManageMapper.updateById(entity);
    }

    @Override
    public MeterManageEntity findById(Integer id) {
        return meterManageMapper.selectById(id);
    }

    @Override
    public void save(MeterManageEntity entity) {
        entity.setCreateTime(new Date());
        meterManageMapper.insert(entity);
    }

    @Override
    public void delete(String id) {
        meterManageMapper.deleteById(id);
    }
}
