package com.mh.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.mh.common.page.MybatisPageHelper;
import com.mh.common.page.PageRequest;
import com.mh.common.page.PageResult;
import com.mh.common.utils.StringUtils;
import com.mh.user.entity.MeterManageEntity;
import com.mh.user.mapper.SysDictMapper;
import com.mh.user.model.SysDict;
import com.mh.user.service.SysDictService;
import com.mh.user.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Date;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description
 * @date 2024-08-23 11:13:38
 */
@Service
public class SysDictServiceImpl implements SysDictService {

    @Autowired
    private SysDictMapper sysDictMapper;

    @Override
    public boolean deleteByPrimaryKey(Long id) {
        return sysDictMapper.deleteByPrimaryKey(id);
    }

    @Override
    public List<SysDict> findByLabel(String label) {
        return Collections.emptyList();
    }

    @Override
    public int save(SysDict record) {
        record.setCreateBy(SecurityUtils.getUsername());
        record.setCreateTime(new Date());
        return sysDictMapper.insert(record);
    }

    @Override
    public int delete(SysDict record) {
        return sysDictMapper.deleteById(record);
    }

    @Override
    public int delete(List<SysDict> records) {
        return 0;
    }

    @Override
    public SysDict findById(Long id) {
        return sysDictMapper.selectById(id);
    }

    @Override
    public PageResult findPage(PageRequest pageRequest) {
        String systemID = StringUtils.getColumnFilterValue(pageRequest, "systemId");
        // 设置分页参数
        int pageNum = pageRequest.getPageNum();
        int pageSize = pageRequest.getPageSize();
        if (pageNum != 0) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<SysDict> sysDictList = sysDictMapper.selectList(
                new QueryWrapper<SysDict>().orderByDesc("create_time"));
        return MybatisPageHelper.getPageResult(pageRequest, new PageInfo<>(sysDictList));
    }

    @Override
    public void updateByPrimaryKey(SysDict entity) {
        entity.setLastUpdateBy(SecurityUtils.getUsername());
        entity.setLastUpdateTime(new Date());
        sysDictMapper.updateById(entity);
    }
}
